## org.gnu.gdk
Class Pixmap

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gdk.Drawable
              org.gnu.gdk.Pixmap

public class Pixmap
extends Drawable

A Pixmap is an offscreen drawable. It can be draw upon with the standard drawing primitives, then copied to another Drawable.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`Pixmap(Drawable drawable, Bitmap mask, Color transparent, byte[] data)`
`Pixmap(Drawable drawable, Bitmap mask, Color transparent, java.lang.String filename)`
`Pixmap(Drawable drawable, byte[] data, int width, int height, int depth, Color fg, Color bg)`
`Pixmap(Drawable drawable, Colormap colormap, Bitmap mask, Color transparent, byte[] data)`
`Pixmap(Drawable drawable, Colormap colormap, Bitmap mask, Color transparent, java.lang.String filename)`
`Pixmap(Drawable drawable, int width, int height, int depth)`

Method Summary
`protected static Handle` `gdk_pixmap_colormap_create_from_xpm_d(Handle window, Handle colormap, Handle mask, Handle transparentColor, byte[] data)`
`protected static Handle` `gdk_pixmap_colormap_create_from_xpm(Handle window, Handle colormap, Handle mask, Handle transparentColor, java.lang.String filename)`
`protected static Handle` `gdk_pixmap_create_from_data(Handle window, byte[] data, int width, int height, int depth, Handle fg, Handle bg)`
`protected static Handle` `gdk_pixmap_create_from_xpm_d(Handle window, Handle mask, Handle transparentColor, byte[] data)`
`protected static Handle` `gdk_pixmap_create_from_xpm(Handle window, Handle mask, Handle transparentColor, java.lang.String filename)`
`protected static int` `gdk_pixmap_get_type()`
`protected static Handle` `gdk_pixmap_new(Handle window, int width, int height, int depth)`
`static Type` `getType()` Retrieve the runtime type used by the GLib library.

Methods inherited from class org.gnu.gdk.Drawable

`drawArc, drawArc, drawDrawable, drawDrawable, drawGlyphs, drawGlyphs, drawGrayImage, drawGrayImage, drawImage, drawImage, drawIndexedImage, drawIndexedImage, drawLayout, drawLayout, drawLayoutLine, drawLayoutLine, drawLayoutLineWithColors, drawLayoutLineWithColors, drawLayoutWithColors, drawLayoutWithColors, drawLine, drawLine, drawLines, drawLines, drawPixbuf, drawPixbuf, drawPoint, drawPoint, drawPoints, drawPoints, drawPolygon, drawPolygon, drawRectangle, drawRectangle, drawRGB32Image, drawRGB32Image, drawRGB32ImageDitherAlign, drawRGB32ImageDitherAlign, drawRGBImage, drawRGBImage, drawRGBImageDitherAlign, drawRGBImageDitherAlign, drawSegments, drawSegments, gdk_draw_arc, gdk_draw_drawable, gdk_draw_glyphs, gdk_draw_gray_image, gdk_draw_image, gdk_draw_indexed_image, gdk_draw_layout_line_with_colors, gdk_draw_layout_line, gdk_draw_layout_with_colors, gdk_draw_layout, gdk_draw_line, gdk_draw_lines, gdk_draw_pixbuf, gdk_draw_point, gdk_draw_points, gdk_draw_polygon, gdk_draw_rectangle, gdk_draw_rgb_32_image_dithalign, gdk_draw_rgb_32_image, gdk_draw_rgb_image_dithalign, gdk_draw_rgb_image, gdk_draw_segments, gdk_drawable_get_clip_region, gdk_drawable_get_colormap, gdk_drawable_get_depth, gdk_drawable_get_display, gdk_drawable_get_image, gdk_drawable_get_screen, gdk_drawable_get_size, gdk_drawable_get_type, gdk_drawable_get_visible_region, gdk_drawable_get_visual, gdk_drawable_set_colormap, getClipRegion, getColormap, getDepth, getDisplay, getImage, getScreen, getSize, getVisibleRegion, getVisual, setColormap`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Pixmap

    public Pixmap(Drawable drawable,
                  int width,
                  int height,
                  int depth)

### Pixmap

    public Pixmap(Drawable drawable,
                  byte[] data,
                  int width,
                  int height,
                  int depth,
                  Color fg,
                  Color bg)

### Pixmap

    public Pixmap(Drawable drawable,
                  Bitmap mask,
                  Color transparent,
                  java.lang.String filename)

### Pixmap

    public Pixmap(Drawable drawable,
                  Colormap colormap,
                  Bitmap mask,
                  Color transparent,
                  java.lang.String filename)

### Pixmap

    public Pixmap(Drawable drawable,
                  Bitmap mask,
                  Color transparent,
                  byte[] data)

### Pixmap

    public Pixmap(Drawable drawable,
                  Colormap colormap,
                  Bitmap mask,
                  Color transparent,
                  byte[] data)

Method Detail

### getType

    public static Type getType()

  Description copied from class: `Drawable`
  Retrieve the runtime type used by the GLib library.

### gdk_pixmap_get_type

    protected static final int gdk_pixmap_get_type()

### gdk_pixmap_new

    protected static final Handle gdk_pixmap_new(Handle window,
                                                 int width,
                                                 int height,
                                                 int depth)

### gdk_pixmap_create_from_data

    protected static final Handle gdk_pixmap_create_from_data(Handle window,
                                                              byte[] data,
                                                              int width,
                                                              int height,
                                                              int depth,
                                                              Handle fg,
                                                              Handle bg)

### gdk_pixmap_create_from_xpm

    protected static final Handle gdk_pixmap_create_from_xpm(Handle window,
                                                             Handle mask,
                                                             Handle transparentColor,
                                                             java.lang.String filename)

### gdk_pixmap_colormap_create_from_xpm

    protected static final Handle gdk_pixmap_colormap_create_from_xpm(Handle window,
                                                                      Handle colormap,
                                                                      Handle mask,
                                                                      Handle transparentColor,
                                                                      java.lang.String filename)

### gdk_pixmap_create_from_xpm_d

    protected static final Handle gdk_pixmap_create_from_xpm_d(Handle window,
                                                               Handle mask,
                                                               Handle transparentColor,
                                                               byte[] data)

### gdk_pixmap_colormap_create_from_xpm_d

    protected static final Handle gdk_pixmap_colormap_create_from_xpm_d(Handle window,
                                                                        Handle colormap,
                                                                        Handle mask,
                                                                        Handle transparentColor,
                                                                        byte[] data)